<template>
  <div>
    <div class="container">
      <vx-card title="Informações">
        <div class="vx-col sm:w-2/5 w-full mb-2">
          <vs-input
            type="email"
            class="w-full"
            icon-pack="feather"
            icon="icon-person"
            icon-no-border
            label="Nome"
          />
        </div>
        <br />
        <vs-table :data="informationTable">
          <template slot="thead">
            <vs-th>A Vencer</vs-th>
            <vs-th>Vencido</vs-th>
            <vs-th>Prejuizo</vs-th>
            <vs-th>Carteira Crédito</vs-th>
            <vs-th>Repasses Interfinanceiros</vs-th>
            <vs-th>Coobrigações</vs-th>
          </template>

          <template slot-scope="{ data }">
            <vs-tr :key="indextr" v-for="(tr, indextr) in data">
              <vs-td :data="data[indextr].toWin">
                {{ data[indextr].toWin }}
              </vs-td>
              <vs-td :data="data[indextr].due">
                {{ data[indextr].due }}
              </vs-td>
              <vs-td :data="data[indextr].loss">
                {{ data[indextr].loss }}
              </vs-td>
              <vs-td :data="data[indextr].creditPortfolio">
                {{ data[indextr].creditPortfolio }}
              </vs-td>
              <vs-td :data="data[indextr].transfers">
                {{ data[indextr].transfers }}
              </vs-td>
              <vs-td :data="data[indextr].coobligations">
                {{ data[indextr].coobligations }}
              </vs-td>
            </vs-tr>
          </template>
        </vs-table>
      </vx-card>
    </div>

    <br />
    <div class="container">
      <vx-card>
        <vs-table :data="tableInformation">
          <template slot="thead">
            <vs-th>Responsabilidade Total</vs-th>
            <vs-th>Crédito a liberar</vs-th>
            <vs-th>Limite de crédito</vs-th>
            <vs-th>Risco Indireto</vs-th>
            <vs-th>Risco Total</vs-th>
            <vs-th>Coobrigação Recebida</vs-th>
          </template>

          <template slot-scope="{ data }">
            <vs-tr :key="indextr" v-for="(tr, indextr) in data">
              <vs-td :data="data[indextr].fullResponsibility">
                {{ data[indextr].fullResponsibility }}
              </vs-td>
              <vs-td :data="data[indextr].openCredit">
                {{ data[indextr].openCredit }}
              </vs-td>
              <vs-td :data="data[indextr].creditLimit">
                {{ data[indextr].creditLimit }}
              </vs-td>
              <vs-td :data="data[indextr].indirectRisk">
                {{ data[indextr].indirectRisk }}
              </vs-td>
              <vs-td :data="data[indextr].totalRisk">
                {{ data[indextr].totalRisk }}
              </vs-td>
              <vs-td :data="data[indextr].coobligationReceived">
                {{ data[indextr].coobligationReceived }}
              </vs-td>
            </vs-tr>
          </template>
        </vs-table>
      </vx-card>
    </div>
  </div>
</template>
<script>
export default {
  data() {
    return {
      tableList: [
        "vs-th: Component",
        "vs-tr: Component",
        "vs-td: Component",
        "thread: Slot",
        "tbody: Slot",
        "header: Slot",
      ],
      informationTable: [
        {
          toWin: "R$ 2500,00",
          due: "R$ 1000,00",
          loss: "R$ 4000,00",
          creditPortfolio: "R$ 2500,00",
          transfers: "R$ 1000,00",
          coobligations: "R$ 2500,00",
        },
      ],
      tableInformation: [
        {
          fullResponsibility: "R$ 2500,00",
          openCredit: "R$ 1000,00",
          creditLimit: "R$ 4000,00",
          indirectRisk: "R$ 2500,00",
          totalRisk: "R$ 1000,00",
          coobligationReceived: "R$ 2500,00",
        },
      ],
    };
  },
};
</script>
